Debugger API (PDF) - v10.1.105 (older) - Last updated February 8, 2019 - Send Feedback

## 4.8. CUDBGEvent::cases_st::elfImageLoaded_st Struct Reference

### Public Variables

uint64_t context
  context of the kernel.
uint32_t dev
  device index of the kernel.
uint64_t handle
  ELF image handle.
uint64_t module
  module of the kernel.
uint32_t properties
  ELF image properties.
uint64_t size
  size of the ELF image (64-bit).

### Variables

uint64_t CUDBGEvent::​cases_st::​elfImageLoaded_st::context [inherited]

  context of the kernel.

uint32_t CUDBGEvent::​cases_st::​elfImageLoaded_st::dev [inherited]

  device index of the kernel.

uint64_t CUDBGEvent::​cases_st::​elfImageLoaded_st::handle [inherited]

  ELF image handle.

uint64_t CUDBGEvent::​cases_st::​elfImageLoaded_st::module [inherited]

  module of the kernel.

uint32_t CUDBGEvent::​cases_st::​elfImageLoaded_st::properties [inherited]

  ELF image properties.

uint64_t CUDBGEvent::​cases_st::​elfImageLoaded_st::size [inherited]

  size of the ELF image (64-bit).